Index: tests/GuiChecks/Domain/AddEmptyBoundary/testsuite-domain-add-empty-boundary.at
===================================================================
--- tests/GuiChecks/Domain/AddEmptyBoundary/testsuite-domain-add-empty-boundary.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Domain/AddEmptyBoundary/testsuite-domain-add-empty-boundary.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,59 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### center atoms with defined boundary
+
+AT_SETUP([Domain - center and add empty boundary])
+AT_KEYWORDS([domain add-empty-boundary])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/AddEmptyBoundary/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  -c "5, 10, 15" --no-dry-run --store-session session-domain-add-empty-boundary.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-add-empty-boundary.py >session-domain-add-empty-boundary_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-add-empty-boundary_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/AddEmptyBoundary/post/test.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - center and add empty boundary with Undo])
+AT_KEYWORDS([domain add-empty-boundary undo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/AddEmptyBoundary/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  -c "5, 10, 15" --undo --no-dry-run --store-session session-domain-add-empty-boundary.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-add-empty-boundary.py >session-domain-add-empty-boundary_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-add-empty-boundary_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/AddEmptyBoundary/post/test-undo.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - center and add empty boundary with Redo])
+AT_KEYWORDS([domain add-empty-boundary redo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/AddEmptyBoundary/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  -c "5, 10, 15" --undo --redo --no-dry-run --store-session session-domain-add-empty-boundary.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-add-empty-boundary.py >session-domain-add-empty-boundary_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-add-empty-boundary_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/AddEmptyBoundary/post/test.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
Index: tests/GuiChecks/Domain/BoundInBox/testsuite-domain-bound-in-box.at
===================================================================
--- tests/GuiChecks/Domain/BoundInBox/testsuite-domain-bound-in-box.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Domain/BoundInBox/testsuite-domain-bound-in-box.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,59 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### bound atoms in defined domain
+
+AT_SETUP([Domain - bounding in domain])
+AT_KEYWORDS([domain bound-in-box])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file --bound-in-box --no-dry-run --store-session session-domain-bound-in-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-bound-in-box.py >session-domain-bound-in-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-bound-in-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/post/test.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - bounding in domain with Undo])
+AT_KEYWORDS([domain bound-in-box undo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file --bound-in-box --undo --no-dry-run --store-session session-domain-bound-in-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-bound-in-box.py >session-domain-bound-in-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-bound-in-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/post/test-undo.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - bounding in domain with Redo])
+AT_KEYWORDS([domain bound-in-box redo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file --bound-in-box --undo --redo --no-dry-run --store-session session-domain-bound-in-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-bound-in-box.py >session-domain-bound-in-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-bound-in-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/post/test.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
Index: tests/GuiChecks/Domain/CenterInBox/testsuite-domain-center-in-box.at
===================================================================
--- tests/GuiChecks/Domain/CenterInBox/testsuite-domain-center-in-box.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Domain/CenterInBox/testsuite-domain-center-in-box.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,59 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### center atoms in defined domain
+
+AT_SETUP([Domain - setting and centering in domain])
+AT_KEYWORDS([domain center-in-box])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  -b "15, 0, 15, 0, 0, 15" --no-dry-run --store-session session-domain-center-in-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-center-in-box.py >session-domain-center-in-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-center-in-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/post/test.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - setting and centering in domain with Undo])
+AT_KEYWORDS([domain center-in-box undo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  -b "15, 0, 15, 0, 0, 15" --undo --no-dry-run --store-session session-domain-center-in-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-center-in-box.py >session-domain-center-in-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-center-in-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/post/test-undo.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - setting and centering in domain with Redo])
+AT_KEYWORDS([domain center-in-box redo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  -b "15, 0, 15, 0, 0, 15" --undo --redo --no-dry-run --store-session session-domain-center-in-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-center-in-box.py >session-domain-center-in-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-center-in-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/post/test.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
Index: tests/GuiChecks/Domain/CenterOnEdge/testsuite-domain-center-on-edge.at
===================================================================
--- tests/GuiChecks/Domain/CenterOnEdge/testsuite-domain-center-on-edge.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Domain/CenterOnEdge/testsuite-domain-center-on-edge.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,59 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### center atoms and adjusting boundary
+
+AT_SETUP([Domain - set domain to minimum size])
+AT_KEYWORDS([domain center-edge])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/CenterOnEdge/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -O --no-dry-run --store-session session-domain-center-on-edge.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-center-on-edge.py >session-domain-center-on-edge_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-center-on-edge_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterOnEdge/post/test.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - set domain to minimum size with Undo])
+AT_KEYWORDS([domain center-edge undo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/CenterOnEdge/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -O --undo --no-dry-run --store-session session-domain-center-on-edge.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-center-on-edge.py >session-domain-center-on-edge_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-center-on-edge_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterOnEdge/post/test-undo.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - set domain to minimum size with Redo])
+AT_KEYWORDS([domain center-edge redo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/CenterOnEdge/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -O --undo --redo --no-dry-run --store-session session-domain-center-on-edge.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-center-on-edge.py >session-domain-center-on-edge_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-center-on-edge_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterOnEdge/post/test.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
Index: tests/GuiChecks/Domain/ChangeBox/testsuite-domain-change-box.at
===================================================================
--- tests/GuiChecks/Domain/ChangeBox/testsuite-domain-change-box.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Domain/ChangeBox/testsuite-domain-change-box.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,53 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### define box setting
+
+AT_SETUP([Domain - defining simulation domain])
+AT_KEYWORDS([domain change-box])
+
+AT_CHECK([../../molecuilder --dry-run -i test.conf  -o pcp -B "10, 0, 10, 0, 0, 10" --no-dry-run --store-session session-domain-change-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-change-box.py >session-domain-change-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-change-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([fgrep "BoxLength" test.conf], 0, [ignore], [ignore])
+AT_CHECK([diff test.conf ${abs_top_srcdir}/tests/regression/Domain/ChangeBox/post/test.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - defining simulation domain])
+AT_KEYWORDS([domain change-box undo])
+
+AT_CHECK([../../molecuilder --dry-run -i test.conf  -o pcp -B "10, 0, 10, 0, 0, 10" --undo --no-dry-run --store-session session-domain-change-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-change-box.py >session-domain-change-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-change-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([fgrep "BoxLength" test.conf], 0, [ignore], [ignore])
+AT_CHECK([diff test.conf ${abs_top_srcdir}/tests/regression/Domain/ChangeBox/post/test-undo.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - defining simulation domain])
+AT_KEYWORDS([domain change-box redo])
+
+AT_CHECK([../../molecuilder --dry-run -i test.conf  -o pcp -B "10, 0, 10, 0, 0, 10" --undo --redo --no-dry-run --store-session session-domain-change-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-change-box.py >session-domain-change-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-change-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([fgrep "BoxLength" test.conf], 0, [ignore], [ignore])
+AT_CHECK([diff test.conf ${abs_top_srcdir}/tests/regression/Domain/ChangeBox/post/test.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
Index: tests/GuiChecks/Domain/RepeatBox/testsuite-domain-repeat-box.at
===================================================================
--- tests/GuiChecks/Domain/RepeatBox/testsuite-domain-repeat-box.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Domain/RepeatBox/testsuite-domain-repeat-box.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,179 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### duplicating box
+
+AT_SETUP([Domain - duplicating box])
+AT_KEYWORDS([domain repeat-box])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file  -o xyz -d 1 1 1 --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=test-x.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -o xyz -d 2 1 1 --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test-x.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-x.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-x.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-x.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=test-y.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file  -o xyz -d 1 2 1 --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test-y.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-y.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-y.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-y.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=test-z.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file  -o xyz -d 1 1 2 --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test-z.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-z.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-z.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-z.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=ec.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/ec.* .], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ec.potentials -i $file  -o tremolo -d 2 2 2 --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/$file], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - duplicating box with Undo])
+AT_KEYWORDS([domain repeat-box undo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file  -o xyz -d 1 1 1 --undo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-undo.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=test-x.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -o xyz -d 2 1 1 --undo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test-x.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-x.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-undo.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-x.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=test-y.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file  -o xyz -d 1 2 1 --undo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test-y.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-y.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-undo.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-y.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=test-z.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file  -o xyz -d 1 1 2 --undo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test-z.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-z.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-undo.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-z.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=ec.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/ec.* .], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ec.potentials  -i $file  -o tremolo -d 2 2 2 --undo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/$file], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - duplicating box with Redo])
+AT_KEYWORDS([domain repeat-box redo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file  -o xyz -d 1 1 1 --undo --redo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=test-x.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -o xyz -d 2 1 1 --undo --redo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test-x.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-x.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-x.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-x.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=test-y.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file  -o xyz -d 1 2 1 --undo --redo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test-y.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-y.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-y.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-y.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=test-z.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file  -o xyz -d 1 1 2 --undo --redo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test-z.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-z.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-z.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-z.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=ec.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/ec.* .], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ec.potentials -i $file  -o tremolo -d 2 2 2 --undo --redo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/$file], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Domain/ScaleBox/testsuite-domain-scale-box.at
===================================================================
--- tests/GuiChecks/Domain/ScaleBox/testsuite-domain-scale-box.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Domain/ScaleBox/testsuite-domain-scale-box.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,59 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### scaling box
+
+AT_SETUP([Domain - scaling box])
+AT_KEYWORDS([domain scale-box])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/ScaleBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  --scale-box "0.5, 1., 0.9" --no-dry-run --store-session session-domain-scale-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-scale-box.py >session-domain-scale-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-scale-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/ScaleBox/post/test.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - scaling box with Undo])
+AT_KEYWORDS([domain scale-box undo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/ScaleBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  --scale-box "0.5, 1., 0.9" --undo --no-dry-run --store-session session-domain-scale-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-scale-box.py >session-domain-scale-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-scale-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/ScaleBox/post/test-undo.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - scaling box with Redo])
+AT_KEYWORDS([domain scale-box redo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/ScaleBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  --scale-box "0.5, 1., 0.9" --undo --redo --no-dry-run --store-session session-domain-scale-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-scale-box.py >session-domain-scale-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-scale-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/ScaleBox/post/test.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
Index: tests/GuiChecks/Domain/SetBoundaryConditions/testsuite-domain-set-boundary-conditions.at
===================================================================
--- tests/GuiChecks/Domain/SetBoundaryConditions/testsuite-domain-set-boundary-conditions.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Domain/SetBoundaryConditions/testsuite-domain-set-boundary-conditions.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,87 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### set boundary conditions
+
+AT_SETUP([Domain - set boundary conditions])
+AT_KEYWORDS([domain set-boundary-conditions])
+
+BC="Wrap Wrap Wrap"
+AT_CHECK([../../molecuilder --dry-run -B "5,0,5,0,0,5" --set-boundary-conditions $BC --no-dry-run --store-session session-domain-set-boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-set-boundary-conditions.py >session-domain-set-boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-set-boundary-conditions_new.py], 0, [stdout], [stderr])
+BC="Bounce Bounce Bounce"
+AT_CHECK([../../molecuilder --dry-run -B "5,0,5,0,0,5" --set-boundary-conditions $BC --no-dry-run --store-session session-domain-set-boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-set-boundary-conditions.py >session-domain-set-boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-set-boundary-conditions_new.py], 0, [stdout], [stderr])
+BC="Ignore Ignore Ignore"
+AT_CHECK([../../molecuilder --dry-run -B "5,0,5,0,0,5" --set-boundary-conditions $BC --no-dry-run --store-session session-domain-set-boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-set-boundary-conditions.py >session-domain-set-boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-set-boundary-conditions_new.py], 0, [stdout], [stderr])
+BC="Wrap Bounce Ignore"
+AT_CHECK([../../molecuilder --dry-run -B "5,0,5,0,0,5" --set-boundary-conditions $BC --no-dry-run --store-session session-domain-set-boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-set-boundary-conditions.py >session-domain-set-boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-set-boundary-conditions_new.py], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - set boundary conditions with Undo])
+AT_KEYWORDS([domain set-boundary-conditions undo])
+
+Check_BC="Wrap Wrap Wrap"
+BC="Wrap Wrap Wrap"
+AT_CHECK([../../molecuilder --dry-run -B "5,0,5,0,0,5" --set-boundary-conditions $BC --undo --no-dry-run --store-session session-domain-set-boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-set-boundary-conditions.py >session-domain-set-boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-set-boundary-conditions_new.py], 0, [stdout], [stderr])
+BC="Bounce Bounce Bounce"
+AT_CHECK([../../molecuilder --dry-run -B "5,0,5,0,0,5" --set-boundary-conditions $BC --undo --no-dry-run --store-session session-domain-set-boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-set-boundary-conditions.py >session-domain-set-boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-set-boundary-conditions_new.py], 0, [stdout], [stderr])
+BC="Ignore Ignore Ignore"
+AT_CHECK([../../molecuilder --dry-run -B "5,0,5,0,0,5" --set-boundary-conditions $BC --undo --no-dry-run --store-session session-domain-set-boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-set-boundary-conditions.py >session-domain-set-boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-set-boundary-conditions_new.py], 0, [stdout], [stderr])
+BC="Wrap Bounce Ignore"
+AT_CHECK([../../molecuilder --dry-run -B "5,0,5,0,0,5" --set-boundary-conditions $BC --undo --no-dry-run --store-session session-domain-set-boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-set-boundary-conditions.py >session-domain-set-boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-set-boundary-conditions_new.py], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - set boundary conditions with Redo])
+AT_KEYWORDS([domain set-boundary-conditions redo])
+
+BC="Wrap Wrap Wrap"
+AT_CHECK([../../molecuilder --dry-run -B "5,0,5,0,0,5" --set-boundary-conditions $BC --undo --redo --no-dry-run --store-session session-domain-set-boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-set-boundary-conditions.py >session-domain-set-boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-set-boundary-conditions_new.py], 0, [stdout], [stderr])
+BC="Bounce Bounce Bounce"
+AT_CHECK([../../molecuilder --dry-run -B "5,0,5,0,0,5" --set-boundary-conditions $BC --undo --redo --no-dry-run --store-session session-domain-set-boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-set-boundary-conditions.py >session-domain-set-boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-set-boundary-conditions_new.py], 0, [stdout], [stderr])
+BC="Ignore Ignore Ignore"
+AT_CHECK([../../molecuilder --dry-run -B "5,0,5,0,0,5" --set-boundary-conditions $BC --undo --redo --no-dry-run --store-session session-domain-set-boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-set-boundary-conditions.py >session-domain-set-boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-set-boundary-conditions_new.py], 0, [stdout], [stderr])
+BC="Wrap Bounce Ignore"
+AT_CHECK([../../molecuilder --dry-run -B "5,0,5,0,0,5" --set-boundary-conditions $BC --undo --redo --no-dry-run --store-session session-domain-set-boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-set-boundary-conditions.py >session-domain-set-boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-set-boundary-conditions_new.py], 0, [stdout], [stderr])
+
+AT_CLEANUP
Index: tests/GuiChecks/Domain/testsuite-domain.at
===================================================================
--- tests/GuiChecks/Domain/testsuite-domain.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Domain/testsuite-domain.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,42 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+AT_BANNER([MoleCuilder - simulation domain])
+
+# define box setting
+m4_include([Domain/ChangeBox/testsuite-domain-change-box.at])
+
+# bound atoms in defined domain
+m4_include([Domain/BoundInBox/testsuite-domain-bound-in-box.at])
+
+# center atoms in defined domain
+m4_include([Domain/CenterInBox/testsuite-domain-center-in-box.at])
+
+# center atoms with defined boundary
+m4_include([Domain/AddEmptyBoundary/testsuite-domain-add-empty-boundary.at])
+
+# center atoms and adjusting boundary
+m4_include([Domain/CenterOnEdge/testsuite-domain-center-on-edge.at])
+
+# scaling box
+m4_include([Domain/ScaleBox/testsuite-domain-scale-box.at])
+
+# duplicating box
+m4_include([Domain/RepeatBox/testsuite-domain-repeat-box.at])
+
+# set boundary conditions
+m4_include([Domain/SetBoundaryConditions/testsuite-domain-set-boundary-conditions.at])
